Множественные уязвимости в xine-lib

Дата публикации:
15.08.2008
Дата изменения:
29.03.2009
Всего просмотров:
1315
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-5235
CVE-2008-5238
CVE-2008-5241
CVE-2008-5242
CVE-2008-5245
CVE-2008-5246
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
xine-lib 1.x
Уязвимые версии: xine-lib версии до 1.1.15

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и скомпрометировать целевую систему.

1. Множественные целочисленные переполнения обнаружены при обработке ID3 тегов в файле src/demuxers/id3.c. Удаленный пользователь может с помощью специально сформированного ID3 тега вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

2. Уязвимость существует из-за ошибок проверки границ данных в функции "demux_real_send_chunk()" в файле src/demuxers/demux_real.c. Удаленный пользователь может с помощью специально сформированного Real Media файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

3. Уязвимость существует из-за ошибки проверки границ данных в функции "open_video_capture_device()" в файле src/input/input_v4l.c. Удаленный пользователь может с помощью специально сформированного V4L потока вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

4. Уязвимость существует из-за ошибки проверки границ данных в функции "parse_moov_atom()" в файле src/demuxers/demux_qt.c. Удаленный пользователь может с помощью специально сформированного Quicktime файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: xinehq.de

Решение: Установите последнюю версию 1.1.15 с сайта производителя.

Ссылки: http://sourceforge.net/project/shownotes.php?release_id=619869